From a32c790e27fde5a10df990149991eefeda401f7f Mon Sep 17 00:00:00 2001
From: Daniel Mierswa <impulze@impulze.org>
Date: Mon, 1 Feb 2010 11:36:28 +0100
Subject: [PATCH 10/10] No longer use LIBS_dvdcss, add dvdcss stuff where needed.


Signed-off-by: Daniel Mierswa <impulze@impulze.org>
---
 configure.ac |   26 +++++++++++++-------------
 1 files changed, 13 insertions(+), 13 deletions(-)

diff --git a/configure.ac b/configure.ac
index 60c471a..de563f3 100644
--- a/configure.ac
+++ b/configure.ac
@@ -158,7 +158,7 @@ VLC_FEATURE_DEFAULT_DISABLE([peflags])
 AS_CASE(["${SYS}"], 
   [bsdi], [
     APPEND_CFLAGS([-pthread])
-    VLC_ADD_LIBS([dvdcss vcd cdda vcdx],[-ldvd])
+    VLC_ADD_LIBS([vcd cdda vcdx],[-ldvd])
   ],
   [bsd], [
     APPEND_CFLAGS([-pthread])
@@ -1419,20 +1419,20 @@ AS_IF([VLC_FEATURE_ENABLED([dvdread])], [
   VLC_STRING_OPTION([dvdread], [libdvdread headers and libraries], [PATH])
   VLC_STRING_OPTION([dvdread-tree], [libdvdread tree for static linking], [PATH])
 
-  dnl Temporary hack (yeah, sure ;)
-  if test "${SYS}" = "mingw32" || test "${SYS}" = "darwin" || test "${SYS}" = "beos" ; then
-      VLC_ADD_LIBS([dvdread],[-ldvdcss])
-  fi
+  AS_CASE(["${SYS}"],
+    [mingw32|darwin|beos], [VLC_ADD_LIBS([dvdread], [-ldvdcss])],
+    [bsdi], [VLC_ADD_LIBS([dvdread], [-ldvd])]
+  )
 
   AS_IF([VLC_STRING_UNSET([dvdread])], [
     AS_IF([VLC_STRING_UNSET([dvdread-tree])], [
       AC_CHECK_HEADERS(dvdread/dvd_reader.h,
         [ VLC_ADD_PLUGIN([dvdread])
-          VLC_ADD_LIBS([dvdread],[-ldvdread ${LIBS_dvdcss}])
+          VLC_ADD_LIBS([dvdread],[-ldvdread])
         ],[
 	  AC_CHECK_HEADERS(libdvdread/dvd_reader.h,
             [ VLC_ADD_PLUGIN([dvdread])
-	      VLC_ADD_LIBS([dvdread],[-ldvdread ${LIBS_dvdcss}])
+	      VLC_ADD_LIBS([dvdread],[-ldvdread])
 	    ],[
         AS_IF([VLC_FEATURE_REQUESTED([dvdread])], [
 	      AC_MSG_ERROR([cannot find libdvdread headers])
@@ -1453,7 +1453,7 @@ AS_IF([VLC_FEATURE_ENABLED([dvdread])], [
         dnl  Use a custom libdvdread
         AC_MSG_RESULT(${real_dvdread_tree}/dvdread/.libs/libdvdread.a)
         VLC_ADD_PLUGIN([dvdread])
-        VLC_ADD_LIBS([dvdread],[-L${real_dvdread_tree}/dvdread/.libs -ldvdread ${LIBS_dvdcss}])
+        VLC_ADD_LIBS([dvdread],[-L${real_dvdread_tree}/dvdread/.libs -ldvdread])
         VLC_ADD_CPPFLAGS([dvdread],[-I${real_dvdread_tree}])
       else
         dnl  The given libdvdread wasn't built
@@ -1468,7 +1468,7 @@ AS_IF([VLC_FEATURE_ENABLED([dvdread])], [
       dnl  Use ${vlc_string_dvdread}/include/dvdread/dvd_reader.h
       AC_MSG_RESULT(yes)
       VLC_ADD_PLUGIN([dvdread])
-      VLC_ADD_LIBS([dvdread],[-L${vlc_string_dvdread}/lib -ldvdread ${LIBS_dvdcss}])
+      VLC_ADD_LIBS([dvdread],[-L${vlc_string_dvdread}/lib -ldvdread])
       VLC_ADD_CPPFLAGS([dvdread],[-I${vlc_string_dvdread}/include])
     else
       dnl  No libdvdread could be found, sorry
@@ -1483,10 +1483,10 @@ dnl  libdvdnav plugin
 dnl
 VLC_FEATURE_OPTION([dvdnav], [dvdnav input module])
 AS_IF([VLC_FEATURE_ENABLED([dvdnav])], [
-  dnl Same hack than dvdread
-  if test "${SYS}" = "mingw32" || test "${SYS}" = "darwin" || test "${SYS}" = "beos" ; then
-      VLC_ADD_LIBS([dvdnav],[-ldvdcss])
-  fi
+  AS_CASE(["${SYS}"],
+    [mingw32|darwin|beos], [VLC_ADD_LIBS([dvdnav], [-ldvdcss])],
+    [bsdi], [VLC_ADD_LIBS([dvdnav], [-ldvd])]
+  )
 
   DVDNAV_PATH="${PATH}"
   VLC_STRING_OPTION([dvdnav-config-path], [dvdnav-config path], [PATH], [search in \$PATH])
-- 
1.6.6.1

